public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2016-11-12 12:23 Gilles Dartiguelongue
  0 siblings, 0 replies; 31+ messages in thread
From: Gilles Dartiguelongue @ 2016-11-12 12:23 UTC (permalink / raw
  To: gentoo-commits

commit:     f2a8480511e2a9d6f4cf04a0e4f3e1b08796075c
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 12 12:21:05 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Nov 12 12:23:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2a84805

dev-util/sysprof: version bump 1.2.0 → 3.22.2

Mostly a rewrite so some bugs might be expected.

Package-Manager: portage-2.3.2

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.22.2.ebuild | 60 ++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 0520b35..afbb790 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-1.2.0.tar.gz 273409 SHA256 baf03c6fc01a845c705873e6fc7927aa89539dcda6963f9ec4c8eb4c086a64f1 SHA512 76a150ceff5fd1c98dd3e062a20d1fbf686734350809712022ef76c4da87ad573e36a86ccca070f2fb8f45efc03f2d720c4b12a1cc2a3bd8a46ab33443196954 WHIRLPOOL 77a37d93c524caaf3eede00587d37472ce5a625c8888b8c6d4035f8697ba7603e3e1d8da35b4e0f4df574569148d4ae69e11bbe368aa369c007ae3bd51885163
+DIST sysprof-3.22.2.tar.xz 581864 SHA256 d57fb19a3e5d4ad37d5fb554dc93d9a03f332779c3bffd9c2aa8f176e85269d7 SHA512 601e83f8809bfc970b87a8cbecfc868e957d992aa554316e80b44f21c97a58ef0a236e0b0bda6accc01d5d551f7fca76b4882863a9ea498578731b49dc75322c WHIRLPOOL fdb2bcf0ee191bcecdda93fa3bc9d78aae5301e5fb2f0706021e1b2425d93a2d8ae16472a584ed172b864044b096c66f5c3ef714c848af63937d7dfe40736377

diff --git a/dev-util/sysprof/sysprof-3.22.2.ebuild b/dev-util/sysprof/sysprof-3.22.2.ebuild
new file mode 100644
index 00000000..1cf63bb
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.22.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnome2 linux-info systemd
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug gtk systemd"
+
+RDEPEND="
+	>=dev-libs/glib-2.44:2
+	gtk? ( >=x11-libs/gtk+-3.21.5:3 )
+	systemd? (
+		sys-auth/polkit
+		>=sys-apps/systemd-222 )
+"
+DEPEND="${RDEPEND}
+	app-text/yelp-tools
+	>=sys-devel/gettext-0.19.6
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+pkg_pretend() {
+	kernel_is -ge 2 6 31 && return
+	die "Sysprof will not work with a kernel version less than 2.6.31"
+}
+
+src_configure() {
+	# introspection & vala not use in build system
+	gnome2_src_configure \
+		$(use_enable debug) \
+		$(use_enable gtk) \
+		--disable-introspection \
+		--disable-static \
+		--disable-vala \
+		--with-sysprofd=$(usex systemd bundled no) \
+		--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2017-04-18 11:14 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2017-04-18 11:14 UTC (permalink / raw
  To: gentoo-commits

commit:     22afdee512629291c1afa1f11ded21f707a5ccbc
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 18 11:11:27 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Tue Apr 18 11:11:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22afdee5

dev-util/sysprof: bump to 3.24.1

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.24.1.ebuild | 60 ++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 6a174eda44f..07c4c317e02 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.22.2.tar.xz 581864 SHA256 d57fb19a3e5d4ad37d5fb554dc93d9a03f332779c3bffd9c2aa8f176e85269d7 SHA512 601e83f8809bfc970b87a8cbecfc868e957d992aa554316e80b44f21c97a58ef0a236e0b0bda6accc01d5d551f7fca76b4882863a9ea498578731b49dc75322c WHIRLPOOL fdb2bcf0ee191bcecdda93fa3bc9d78aae5301e5fb2f0706021e1b2425d93a2d8ae16472a584ed172b864044b096c66f5c3ef714c848af63937d7dfe40736377
+DIST sysprof-3.24.1.tar.xz 595920 SHA256 054eebe2afb6fe3c06ac8c46bc045c42f675d4fd64e6f16cbc602d5c7ce27bec SHA512 5d323bcb9923c511065132711963dc8856c4d837b4d7ccfae5cc5794be5ac8ad1dc42504025469199f4bfd6a6fad4d8f49b7b21cab6f0c9a954820182e75c7d0 WHIRLPOOL e4cc8391b9583f4e2633e89b5cf18445f9d2c6324dcb4b1b00e2e5742441688c16d514701d5f4077f2579e854dbbfec5058e97d6f37b32b7ba8a812354668ce8

diff --git a/dev-util/sysprof/sysprof-3.24.1.ebuild b/dev-util/sysprof/sysprof-3.24.1.ebuild
new file mode 100644
index 00000000000..93e9abc09be
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.24.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2 linux-info systemd
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug gtk systemd"
+
+RDEPEND="
+	>=dev-libs/glib-2.44:2
+	gtk? ( >=x11-libs/gtk+-3.22.0:3 )
+	systemd? (
+		sys-auth/polkit
+		>=sys-apps/systemd-222 )
+"
+DEPEND="${RDEPEND}
+	app-text/yelp-tools
+	>=sys-devel/gettext-0.19.6
+	>=sys-kernel/linux-headers-2.6.32
+	dev-libs/appstream-glib
+	virtual/pkgconfig
+"
+
+pkg_pretend() {
+	kernel_is -ge 2 6 31 && return
+	die "Sysprof will not work with a kernel version less than 2.6.31"
+}
+
+src_configure() {
+	# introspection & vala not use in build system
+	gnome2_src_configure \
+		$(use_enable debug) \
+		$(use_enable gtk) \
+		--disable-introspection \
+		--disable-static \
+		--disable-vala \
+		--with-sysprofd=$(usex systemd bundled no) \
+		--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2017-06-05  0:13 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2017-06-05  0:13 UTC (permalink / raw
  To: gentoo-commits

commit:     4c000d4f347a059a39ac9f4a8198ef8c729ce9cd
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  5 00:10:44 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Jun  5 00:10:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c000d4f

dev-util/sysprof: clarify the purpose of USE=systemd in local metadata

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-util/sysprof/metadata.xml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-util/sysprof/metadata.xml b/dev-util/sysprof/metadata.xml
index 472e9918b4c..066ec096b82 100644
--- a/dev-util/sysprof/metadata.xml
+++ b/dev-util/sysprof/metadata.xml
@@ -15,4 +15,8 @@
 	Sysprof handles shared libraries and applications do not need to be recompiled.
 	In fact they don't even have to be restarted.
 </longdescription>
+<use>
+	<flag name="systemd">Build the sysprofd daemon service, required to run the UI without root permissions.
+		Relies on <pkg>sys-apps/systemd</pkg> running as the init system.</flag>
+</use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2017-06-05  0:13 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2017-06-05  0:13 UTC (permalink / raw
  To: gentoo-commits

commit:     99d7564a0925ef45db5912050bf0af066d89cef8
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  5 00:13:08 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Jun  5 00:13:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99d7564a

dev-util/sysprof: upgrade myself to a regular secondary maintainer, not backup

Might want to take this under full gnome <AT> g.o wing as well, though.
Also add some tag indentation where definitely appropriate.

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-util/sysprof/metadata.xml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-util/sysprof/metadata.xml b/dev-util/sysprof/metadata.xml
index 066ec096b82..ea79c2ed134 100644
--- a/dev-util/sysprof/metadata.xml
+++ b/dev-util/sysprof/metadata.xml
@@ -2,12 +2,12 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 <maintainer type="person">
-<email>tetromino@gentoo.org</email>
-<name>Alexandre Rostovtsev</name>
+	<email>tetromino@gentoo.org</email>
+	<name>Alexandre Rostovtsev</name>
 </maintainer>
 <maintainer type="person">
-<email>leio@gentoo.org</email>
-<description>Backup maintainer, CC on bugs and assign to remaining</description>
+	<email>leio@gentoo.org</email>
+	<name>Mart Raudsepp</name>
 </maintainer>
 <longdescription lang="en">
 	Sysprof is a sampling CPU profiler for Linux that profiles the entire system,


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2017-06-05  0:13 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2017-06-05  0:13 UTC (permalink / raw
  To: gentoo-commits

commit:     1a7e90ee9f2bd18cd861cb43cc877e4268824d76
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  5 00:05:01 2017 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Jun  5 00:05:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a7e90ee

dev-util/sysprof: Add previously missing polkit dependency for USE=gtk too

Gentoo-bug: 620450
Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-util/sysprof/sysprof-3.22.2.ebuild | 4 +++-
 dev-util/sysprof/sysprof-3.24.1.ebuild | 5 ++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/dev-util/sysprof/sysprof-3.22.2.ebuild b/dev-util/sysprof/sysprof-3.22.2.ebuild
index 95c9ebbdc81..baa9bad8132 100644
--- a/dev-util/sysprof/sysprof-3.22.2.ebuild
+++ b/dev-util/sysprof/sysprof-3.22.2.ebuild
@@ -15,7 +15,9 @@ IUSE="debug gtk systemd"
 
 RDEPEND="
 	>=dev-libs/glib-2.44:2
-	gtk? ( >=x11-libs/gtk+-3.21.5:3 )
+	gtk? (
+		sys-auth/polkit
+		>=x11-libs/gtk+-3.22.0:3 )
 	systemd? (
 		sys-auth/polkit
 		>=sys-apps/systemd-222 )

diff --git a/dev-util/sysprof/sysprof-3.24.1.ebuild b/dev-util/sysprof/sysprof-3.24.1.ebuild
index 93e9abc09be..bc46f88d423 100644
--- a/dev-util/sysprof/sysprof-3.24.1.ebuild
+++ b/dev-util/sysprof/sysprof-3.24.1.ebuild
@@ -15,7 +15,9 @@ IUSE="debug gtk systemd"
 
 RDEPEND="
 	>=dev-libs/glib-2.44:2
-	gtk? ( >=x11-libs/gtk+-3.22.0:3 )
+	gtk? (
+		sys-auth/polkit
+		>=x11-libs/gtk+-3.22.0:3 )
 	systemd? (
 		sys-auth/polkit
 		>=sys-apps/systemd-222 )
@@ -35,6 +37,7 @@ pkg_pretend() {
 
 src_configure() {
 	# introspection & vala not use in build system
+	# --with-sysprofd=host currently unavailable from ebuild
 	gnome2_src_configure \
 		$(use_enable debug) \
 		$(use_enable gtk) \


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2018-01-26 15:03 Mikle Kolyada
  0 siblings, 0 replies; 31+ messages in thread
From: Mikle Kolyada @ 2018-01-26 15:03 UTC (permalink / raw
  To: gentoo-commits

commit:     379c404d683747fa55672eaf7f36f23eda4438de
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 26 15:02:38 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Fri Jan 26 15:02:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=379c404d

dev-util/sysprof: amd64 stable wrt bug #644096

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-util/sysprof/sysprof-3.24.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-util/sysprof/sysprof-3.24.1.ebuild b/dev-util/sysprof/sysprof-3.24.1.ebuild
index bc46f88d423..af910f73b7a 100644
--- a/dev-util/sysprof/sysprof-3.24.1.ebuild
+++ b/dev-util/sysprof/sysprof-3.24.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ HOMEPAGE="http://sysprof.com/"
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 IUSE="debug gtk systemd"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2018-02-06 18:36 Thomas Deutschmann
  0 siblings, 0 replies; 31+ messages in thread
From: Thomas Deutschmann @ 2018-02-06 18:36 UTC (permalink / raw
  To: gentoo-commits

commit:     77953b4e4cdbc7bdd216ce1b49c6de246922bb68
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  6 18:24:34 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Feb  6 18:35:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77953b4e

dev-util/sysprof: x86 stable (bug #644096)

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-util/sysprof/sysprof-3.24.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/sysprof/sysprof-3.24.1.ebuild b/dev-util/sysprof/sysprof-3.24.1.ebuild
index af910f73b7a..f15fb682bb2 100644
--- a/dev-util/sysprof/sysprof-3.24.1.ebuild
+++ b/dev-util/sysprof/sysprof-3.24.1.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="http://sysprof.com/"
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
 IUSE="debug gtk systemd"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2018-02-19 20:03 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2018-02-19 20:03 UTC (permalink / raw
  To: gentoo-commits

commit:     202b1bd62d6f72df222711fbd8e67673e95d1248
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 19:56:35 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 20:03:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=202b1bd6

dev-util/sysprof: Switch maintenance to gnome@ as primary

sysprof is an optional dependency of gnome-builder and its previous
maintainers are all part of that. Given that gnome-builder is maintained
by gnome team, move sysprof to be maintained primarily by gnome@ as well.
Remove myself by name in the process, keep tetromino for now as he's not
me, and no need to remove at least an explicit CC unless he wants that.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-util/sysprof/metadata.xml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-util/sysprof/metadata.xml b/dev-util/sysprof/metadata.xml
index ea79c2ed134..2f805617ad1 100644
--- a/dev-util/sysprof/metadata.xml
+++ b/dev-util/sysprof/metadata.xml
@@ -1,14 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
+<maintainer type="project">
+	<email>gnome@gentoo.org</email>
+	<name>Gentoo GNOME Desktop</name>
+</maintainer>
 <maintainer type="person">
 	<email>tetromino@gentoo.org</email>
 	<name>Alexandre Rostovtsev</name>
 </maintainer>
-<maintainer type="person">
-	<email>leio@gentoo.org</email>
-	<name>Mart Raudsepp</name>
-</maintainer>
 <longdescription lang="en">
 	Sysprof is a sampling CPU profiler for Linux that profiles the entire system,
 	not just a single application.


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2018-02-19 20:03 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2018-02-19 20:03 UTC (permalink / raw
  To: gentoo-commits

commit:     6080ea53679a95c2b02f98674bb997ec1a7c3dcb
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 19:53:06 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 20:02:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6080ea53

dev-util/sysprof: remove old

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-util/sysprof/Manifest              |  1 -
 dev-util/sysprof/sysprof-3.22.2.ebuild | 61 ----------------------------------
 2 files changed, 62 deletions(-)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index f2ba7990335..048dac70a65 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1,2 +1 @@
-DIST sysprof-3.22.2.tar.xz 581864 BLAKE2B 9a5c3a6fed2b5aaff8edddf9d3405840510b5d0a3f9eaa619e5e8d5be5bf900b15bc528e0702426840d1be91cb203c318d6b4737c78e8010dc76263363d6a427 SHA512 601e83f8809bfc970b87a8cbecfc868e957d992aa554316e80b44f21c97a58ef0a236e0b0bda6accc01d5d551f7fca76b4882863a9ea498578731b49dc75322c
 DIST sysprof-3.24.1.tar.xz 595920 BLAKE2B 90582eab3fc12a0169c151ce0fad20b839841f77a31e5858f8d660f9b0f2630396bec3b239dd88baa3f6e3dd936bdd6d63a652e491a1d32f966a755f9099f160 SHA512 5d323bcb9923c511065132711963dc8856c4d837b4d7ccfae5cc5794be5ac8ad1dc42504025469199f4bfd6a6fad4d8f49b7b21cab6f0c9a954820182e75c7d0

diff --git a/dev-util/sysprof/sysprof-3.22.2.ebuild b/dev-util/sysprof/sysprof-3.22.2.ebuild
deleted file mode 100644
index baa9bad8132..00000000000
--- a/dev-util/sysprof/sysprof-3.22.2.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit gnome2 linux-info systemd
-
-DESCRIPTION="System-wide Linux Profiler"
-HOMEPAGE="http://sysprof.com/"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="debug gtk systemd"
-
-RDEPEND="
-	>=dev-libs/glib-2.44:2
-	gtk? (
-		sys-auth/polkit
-		>=x11-libs/gtk+-3.22.0:3 )
-	systemd? (
-		sys-auth/polkit
-		>=sys-apps/systemd-222 )
-"
-DEPEND="${RDEPEND}
-	app-text/yelp-tools
-	>=sys-devel/gettext-0.19.6
-	>=sys-kernel/linux-headers-2.6.32
-	virtual/pkgconfig
-"
-
-pkg_pretend() {
-	kernel_is -ge 2 6 31 && return
-	die "Sysprof will not work with a kernel version less than 2.6.31"
-}
-
-src_configure() {
-	# introspection & vala not use in build system
-	gnome2_src_configure \
-		$(use_enable debug) \
-		$(use_enable gtk) \
-		--disable-introspection \
-		--disable-static \
-		--disable-vala \
-		--with-sysprofd=$(usex systemd bundled no) \
-		--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
-}
-
-pkg_postinst() {
-	gnome2_pkg_postinst
-
-	elog "On many systems, especially amd64, it is typical that with a modern"
-	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
-	elog "debugging is still possible thanks to gcc4/gdb location list feature."
-	elog "However sysprof is not able to construct call trees if frame pointers"
-	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
-	elog "for the libraries and applications involved in the profiling. That"
-	elog "means a CPU register is used for the frame pointer instead of other"
-	elog "purposes, which means a very minimal performance loss when there is"
-	elog "register pressure."
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2018-08-02 20:58 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2018-08-02 20:58 UTC (permalink / raw
  To: gentoo-commits

commit:     cea5597de59543f5fc712d45b2cb2ea671b00ce5
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  2 20:53:06 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Thu Aug  2 20:57:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cea5597d

dev-util/sysprof: bump to 3.26.1

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.26.1.ebuild | 63 ++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 048dac70a65..684b0f5ef58 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.24.1.tar.xz 595920 BLAKE2B 90582eab3fc12a0169c151ce0fad20b839841f77a31e5858f8d660f9b0f2630396bec3b239dd88baa3f6e3dd936bdd6d63a652e491a1d32f966a755f9099f160 SHA512 5d323bcb9923c511065132711963dc8856c4d837b4d7ccfae5cc5794be5ac8ad1dc42504025469199f4bfd6a6fad4d8f49b7b21cab6f0c9a954820182e75c7d0
+DIST sysprof-3.26.1.tar.xz 609076 BLAKE2B fd10ce27b224100558ff5bb9c75cfffcb76b2331d2c4056bd73a9ace1ea155e61d705240acf6fefa805fba2333f6d439369d5b1cc16e0c537ab9fed408bf6d85 SHA512 ee03360e4971cd91129bac3cc9d2cf292d29aafe1cdacd078e404ee15c3ff02bcd0c0159502605c00eb2abd3a46917cf70458ad05e48b594eeb2835ead55c34c

diff --git a/dev-util/sysprof/sysprof-3.26.1.ebuild b/dev-util/sysprof/sysprof-3.26.1.ebuild
new file mode 100644
index 00000000000..144b2c9fcad
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.26.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2 linux-info systemd
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug gtk systemd"
+
+RDEPEND="
+	>=dev-libs/glib-2.44:2
+	gtk? (
+		sys-auth/polkit
+		>=x11-libs/gtk+-3.22.0:3 )
+	systemd? (
+		sys-auth/polkit
+		>=sys-apps/systemd-222 )
+"
+DEPEND="${RDEPEND}
+	app-text/yelp-tools
+	>=sys-devel/gettext-0.19.6
+	>=sys-kernel/linux-headers-2.6.32
+	dev-libs/appstream-glib
+	virtual/pkgconfig
+"
+
+pkg_pretend() {
+	kernel_is -ge 2 6 31 && return
+	die "Sysprof will not work with a kernel version less than 2.6.31"
+}
+
+src_configure() {
+	# introspection & vala not use in build system
+	# --with-sysprofd=host currently unavailable from ebuild
+	gnome2_src_configure \
+		$(use_enable debug) \
+		$(use_enable gtk) \
+		--disable-introspection \
+		--disable-static \
+		--disable-vala \
+		--with-sysprofd=$(usex systemd bundled no) \
+		--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2018-12-17 15:08 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2018-12-17 15:08 UTC (permalink / raw
  To: gentoo-commits

commit:     be7e5cb92c0c0f6e76306737efc921e6c2e5d551
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 17 14:10:43 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Dec 17 15:07:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be7e5cb9

dev-util/sysprof: bump to 3.30.2

Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
Package-Manager: Portage-2.3.52, Repoman-2.3.11

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.30.2.ebuild | 71 ++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 75ff7d4efdf..896392cf250 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1,3 +1,4 @@
 DIST sysprof-3.24.1.tar.xz 595920 BLAKE2B 90582eab3fc12a0169c151ce0fad20b839841f77a31e5858f8d660f9b0f2630396bec3b239dd88baa3f6e3dd936bdd6d63a652e491a1d32f966a755f9099f160 SHA512 5d323bcb9923c511065132711963dc8856c4d837b4d7ccfae5cc5794be5ac8ad1dc42504025469199f4bfd6a6fad4d8f49b7b21cab6f0c9a954820182e75c7d0
 DIST sysprof-3.26.1.tar.xz 609076 BLAKE2B fd10ce27b224100558ff5bb9c75cfffcb76b2331d2c4056bd73a9ace1ea155e61d705240acf6fefa805fba2333f6d439369d5b1cc16e0c537ab9fed408bf6d85 SHA512 ee03360e4971cd91129bac3cc9d2cf292d29aafe1cdacd078e404ee15c3ff02bcd0c0159502605c00eb2abd3a46917cf70458ad05e48b594eeb2835ead55c34c
 DIST sysprof-3.28.1.tar.xz 380720 BLAKE2B 0a3b93659e421b717230bff6e90d20b28f8abc8491fddb51bc3f106b6cd8b038254e1fd0260c6eee2c2b83d77765be43f394d49bd34c054c36d6427ef419fefa SHA512 ca75c279bcb8cb37bffdba51d5b3481c3ece104847b64c0b8cb534468c9350a96c7224bf261ef892817e53aff2cff90a2b808f5db5a9afd6230721664b83809b
+DIST sysprof-3.30.2.tar.xz 393420 BLAKE2B 5e86a78c231d2d2c601198e066c463d8bec95ab1ae6d0f6678e6e80305b8a6d53c604ce54d9fc2a473e4679695cef709f0e1a9514f1091719f33a58b92c896eb SHA512 70c49f7c20742aad82c8d9b1e303d06ca5fd2d27a6868872d28affea22278d381bf3eb0d181cbd1bfa490bda2878c52748ac29273e9e608452e9bf4f29fd9e2a

diff --git a/dev-util/sysprof/sysprof-3.30.2.ebuild b/dev-util/sysprof/sysprof-3.30.2.ebuild
new file mode 100644
index 00000000000..e3dd7be4967
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.30.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk systemd"
+
+RDEPEND="
+	>=dev-libs/glib-2.44:2
+	sys-auth/polkit
+	gtk? ( >=x11-libs/gtk+-3.22.0:3 )
+	systemd? ( >=sys-apps/systemd-222 )
+"
+# libxml2 required for glib-compile-resources; appstream-glib for appdata.xml developer_name tag translation
+DEPEND="${RDEPEND}
+	dev-libs/appstream-glib
+	dev-libs/libxml2:2
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dwith_sysprofd=$(usex systemd bundled none)
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_icon_cache_update
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+	if ! use systemd; then
+		elog ""
+		elog "Without systemd, sysprof may not function when launched as a regular user,"
+		elog "thus suboptimal running from root account may be necessary."
+		if use gtk; then
+			elog "Under wayland, that limits the recording usage to sysprof-cli utility."
+		fi
+	fi
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_icon_cache_update
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2019-05-18 19:59 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2019-05-18 19:59 UTC (permalink / raw
  To: gentoo-commits

commit:     38cb33e9ac0b45b4ba44fb22b59b9592f6913ef2
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat May 18 19:57:54 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat May 18 19:59:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38cb33e9

dev-util/sysprof: remove old

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 -
 dev-util/sysprof/sysprof-3.24.1.ebuild | 63 ----------------------------------
 2 files changed, 64 deletions(-)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 8a309bc6e0b..570316497d7 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1,2 +1 @@
-DIST sysprof-3.24.1.tar.xz 595920 BLAKE2B 90582eab3fc12a0169c151ce0fad20b839841f77a31e5858f8d660f9b0f2630396bec3b239dd88baa3f6e3dd936bdd6d63a652e491a1d32f966a755f9099f160 SHA512 5d323bcb9923c511065132711963dc8856c4d837b4d7ccfae5cc5794be5ac8ad1dc42504025469199f4bfd6a6fad4d8f49b7b21cab6f0c9a954820182e75c7d0
 DIST sysprof-3.30.2.tar.xz 393420 BLAKE2B 5e86a78c231d2d2c601198e066c463d8bec95ab1ae6d0f6678e6e80305b8a6d53c604ce54d9fc2a473e4679695cef709f0e1a9514f1091719f33a58b92c896eb SHA512 70c49f7c20742aad82c8d9b1e303d06ca5fd2d27a6868872d28affea22278d381bf3eb0d181cbd1bfa490bda2878c52748ac29273e9e608452e9bf4f29fd9e2a

diff --git a/dev-util/sysprof/sysprof-3.24.1.ebuild b/dev-util/sysprof/sysprof-3.24.1.ebuild
deleted file mode 100644
index f15fb682bb2..00000000000
--- a/dev-util/sysprof/sysprof-3.24.1.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit gnome2 linux-info systemd
-
-DESCRIPTION="System-wide Linux Profiler"
-HOMEPAGE="http://sysprof.com/"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="debug gtk systemd"
-
-RDEPEND="
-	>=dev-libs/glib-2.44:2
-	gtk? (
-		sys-auth/polkit
-		>=x11-libs/gtk+-3.22.0:3 )
-	systemd? (
-		sys-auth/polkit
-		>=sys-apps/systemd-222 )
-"
-DEPEND="${RDEPEND}
-	app-text/yelp-tools
-	>=sys-devel/gettext-0.19.6
-	>=sys-kernel/linux-headers-2.6.32
-	dev-libs/appstream-glib
-	virtual/pkgconfig
-"
-
-pkg_pretend() {
-	kernel_is -ge 2 6 31 && return
-	die "Sysprof will not work with a kernel version less than 2.6.31"
-}
-
-src_configure() {
-	# introspection & vala not use in build system
-	# --with-sysprofd=host currently unavailable from ebuild
-	gnome2_src_configure \
-		$(use_enable debug) \
-		$(use_enable gtk) \
-		--disable-introspection \
-		--disable-static \
-		--disable-vala \
-		--with-sysprofd=$(usex systemd bundled no) \
-		--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
-}
-
-pkg_postinst() {
-	gnome2_pkg_postinst
-
-	elog "On many systems, especially amd64, it is typical that with a modern"
-	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
-	elog "debugging is still possible thanks to gcc4/gdb location list feature."
-	elog "However sysprof is not able to construct call trees if frame pointers"
-	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
-	elog "for the libraries and applications involved in the profiling. That"
-	elog "means a CPU register is used for the frame pointer instead of other"
-	elog "purposes, which means a very minimal performance loss when there is"
-	elog "register pressure."
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2019-07-27  8:36 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2019-07-27  8:36 UTC (permalink / raw
  To: gentoo-commits

commit:     1d6e644ed366475a164746391fd65fbe7f2d06ae
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 27 08:07:10 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Jul 27 08:35:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d6e644e

dev-util/sysprof: bump to 3.32.0

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.32.0.ebuild | 74 ++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 570316497d7..bfb234f676b 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.30.2.tar.xz 393420 BLAKE2B 5e86a78c231d2d2c601198e066c463d8bec95ab1ae6d0f6678e6e80305b8a6d53c604ce54d9fc2a473e4679695cef709f0e1a9514f1091719f33a58b92c896eb SHA512 70c49f7c20742aad82c8d9b1e303d06ca5fd2d27a6868872d28affea22278d381bf3eb0d181cbd1bfa490bda2878c52748ac29273e9e608452e9bf4f29fd9e2a
+DIST sysprof-3.32.0.tar.xz 296052 BLAKE2B f409c64d40bd3451037e601683f270ff93ea2a60a2c104d22edc6bad5ff3f5c974f80137776b6329dae932852fa0871f2b7b9960a282147ddef5402ad840d9ef SHA512 7b9d84ac241d376a5e545082b1224e7db96af26ae0ee297d5f0b2d45abc4676e23009dbd560085e5d4879378a8dd79eefb4449df3961fbfd09238bd2056061d0

diff --git a/dev-util/sysprof/sysprof-3.32.0.ebuild b/dev-util/sysprof/sysprof-3.32.0.ebuild
new file mode 100644
index 00000000000..16e41d08213
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.32.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="elogind gtk systemd"
+REQUIRED_USE="?? ( elogind systemd )"
+
+RDEPEND="
+	>=dev-libs/glib-2.44:2
+	sys-auth/polkit
+	gtk? ( >=x11-libs/gtk+-3.22.0:3 )
+	elogind? ( >=sys-auth/elogind-239.3 )
+	systemd? ( >=sys-apps/systemd-222:0= )
+"
+DEPEND="${RDEPEND}"
+# libxml2 required for glib-compile-resources; appstream-glib for appdata.xml developer_name tag translation
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-libs/libxml2:2
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}"/3.30.2-elogind.patch )
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dwith_sysprofd=$(usex systemd bundled $(usex elogind bundled none))
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+	if ! use systemd && ! use elogind; then
+		elog ""
+		elog "Without systemd or elogind, sysprof may not function when launched as a"
+		elog "regular user, thus suboptimal running from root account may be necessary."
+		if use gtk; then
+			elog "Under wayland, that limits the recording usage to sysprof-cli utility."
+		fi
+	fi
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2019-12-23 21:26 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2019-12-23 21:26 UTC (permalink / raw
  To: gentoo-commits

commit:     425236cb9fe18534d1aa19cee72403d397b9aa6c
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 23 21:11:45 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Dec 23 21:25:45 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=425236cb

dev-util/sysprof: remove old

Package-Manager: Portage-2.3.79, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-util/sysprof/Manifest                 |  1 -
 dev-util/sysprof/sysprof-3.30.2-r1.ebuild | 73 -------------------------------
 2 files changed, 74 deletions(-)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index bfb234f676b..d1fc06eee56 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1,2 +1 @@
-DIST sysprof-3.30.2.tar.xz 393420 BLAKE2B 5e86a78c231d2d2c601198e066c463d8bec95ab1ae6d0f6678e6e80305b8a6d53c604ce54d9fc2a473e4679695cef709f0e1a9514f1091719f33a58b92c896eb SHA512 70c49f7c20742aad82c8d9b1e303d06ca5fd2d27a6868872d28affea22278d381bf3eb0d181cbd1bfa490bda2878c52748ac29273e9e608452e9bf4f29fd9e2a
 DIST sysprof-3.32.0.tar.xz 296052 BLAKE2B f409c64d40bd3451037e601683f270ff93ea2a60a2c104d22edc6bad5ff3f5c974f80137776b6329dae932852fa0871f2b7b9960a282147ddef5402ad840d9ef SHA512 7b9d84ac241d376a5e545082b1224e7db96af26ae0ee297d5f0b2d45abc4676e23009dbd560085e5d4879378a8dd79eefb4449df3961fbfd09238bd2056061d0

diff --git a/dev-util/sysprof/sysprof-3.30.2-r1.ebuild b/dev-util/sysprof/sysprof-3.30.2-r1.ebuild
deleted file mode 100644
index 66a11836f9b..00000000000
--- a/dev-util/sysprof/sysprof-3.30.2-r1.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit gnome.org gnome2-utils meson systemd xdg
-
-DESCRIPTION="System-wide Linux Profiler"
-HOMEPAGE="http://sysprof.com/"
-
-LICENSE="GPL-3+ GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="elogind gtk systemd"
-REQUIRED_USE="?? ( elogind systemd )"
-
-RDEPEND="
-	>=dev-libs/glib-2.44:2
-	sys-auth/polkit
-	gtk? ( >=x11-libs/gtk+-3.22.0:3 )
-	elogind? ( >=sys-auth/elogind-239.3 )
-	systemd? ( >=sys-apps/systemd-222:0= )
-"
-# libxml2 required for glib-compile-resources; appstream-glib for appdata.xml developer_name tag translation
-DEPEND="${RDEPEND}
-	dev-libs/appstream-glib
-	dev-libs/libxml2:2
-	dev-util/itstool
-	>=sys-devel/gettext-0.19.8
-	>=sys-kernel/linux-headers-2.6.32
-	virtual/pkgconfig
-"
-
-PATCHES=( "${FILESDIR}"/${PV}-elogind.patch )
-
-src_configure() {
-	# -Dwith_sysprofd=host currently unavailable from ebuild
-	local emesonargs=(
-		$(meson_use gtk enable_gtk)
-		-Dwith_sysprofd=$(usex systemd bundled $(usex elogind bundled none))
-		-Dsystemdunitdir=$(systemd_get_systemunitdir)
-		# -Ddebugdir
-	)
-	meson_src_configure
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-
-	elog "On many systems, especially amd64, it is typical that with a modern"
-	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
-	elog "debugging is still possible thanks to gcc4/gdb location list feature."
-	elog "However sysprof is not able to construct call trees if frame pointers"
-	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
-	elog "for the libraries and applications involved in the profiling. That"
-	elog "means a CPU register is used for the frame pointer instead of other"
-	elog "purposes, which means a very minimal performance loss when there is"
-	elog "register pressure."
-	if ! use systemd && ! use elogind; then
-		elog ""
-		elog "Without systemd or elogind, sysprof may not function when launched as a"
-		elog "regular user, thus suboptimal running from root account may be necessary."
-		if use gtk; then
-			elog "Under wayland, that limits the recording usage to sysprof-cli utility."
-		fi
-	fi
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2020-03-01 16:18 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2020-03-01 16:18 UTC (permalink / raw
  To: gentoo-commits

commit:     4bf1c50c0f6f86935a054e295da32c9db847c3c7
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  1 16:16:57 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Mar  1 16:17:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bf1c50c

dev-util/sysprof: bump to 3.34.1

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/metadata.xml          |  3 ++
 dev-util/sysprof/sysprof-3.34.1.ebuild | 74 ++++++++++++++++++++++++++++++++++
 3 files changed, 78 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index d1fc06eee56..ca9f0fa9840 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.32.0.tar.xz 296052 BLAKE2B f409c64d40bd3451037e601683f270ff93ea2a60a2c104d22edc6bad5ff3f5c974f80137776b6329dae932852fa0871f2b7b9960a282147ddef5402ad840d9ef SHA512 7b9d84ac241d376a5e545082b1224e7db96af26ae0ee297d5f0b2d45abc4676e23009dbd560085e5d4879378a8dd79eefb4449df3961fbfd09238bd2056061d0
+DIST sysprof-3.34.1.tar.xz 372612 BLAKE2B 3a50a00f29866ae8bf03cc7a57b598e40a6a37ad88ac2159087e4f2a8a6a5cef09b345dc5332fb1df9036c4e159e98f19adda45588150b059af313878b9b554c SHA512 5f2d820935291a3b578222d5daa87b0a2f74cd16d14daca19065495be61cf7359f00f12f452a5c0b4e05dfeb94e2376017c2288cad92dc0c4bb9bca51b903d19

diff --git a/dev-util/sysprof/metadata.xml b/dev-util/sysprof/metadata.xml
index 70135f65443..2511f1c9437 100644
--- a/dev-util/sysprof/metadata.xml
+++ b/dev-util/sysprof/metadata.xml
@@ -17,4 +17,7 @@
 	<flag name="systemd">Build the sysprofd daemon service, required to run the UI without root permissions.
 		Relies on <pkg>sys-apps/systemd</pkg> for sd-bus API.</flag>
 </use>
+<slots>
+	<subslots>sysprof and sysprof-ui API version</subslots>
+</slots>
 </pkgmetadata>

diff --git a/dev-util/sysprof/sysprof-3.34.1.ebuild b/dev-util/sysprof/sysprof-3.34.1.ebuild
new file mode 100644
index 00000000000..069a3186fe3
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.34.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="3"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk"
+
+RDEPEND="
+	>=dev-libs/glib-2.61.3:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	>=sys-auth/polkit-0.114
+	dev-util/sysprof-capture:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	xdg_src_prepare
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2020-03-02 19:23 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2020-03-02 19:23 UTC (permalink / raw
  To: gentoo-commits

commit:     d767e92a6ca74b4fdf31b96a43c32607cb379bf6
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  2 19:19:37 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Mar  2 19:19:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d767e92a

dev-util/sysprof: Ship org.gnome.Sysprof3.Profiler.xml in -capture

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-util/sysprof/sysprof-3.34.1-r1.ebuild | 80 +++++++++++++++++++++++++++++++
 1 file changed, 80 insertions(+)

diff --git a/dev-util/sysprof/sysprof-3.34.1-r1.ebuild b/dev-util/sysprof/sysprof-3.34.1-r1.ebuild
new file mode 100644
index 00000000000..e4924b71fee
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.34.1-r1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="3"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk"
+
+RDEPEND="
+	>=dev-libs/glib-2.61.3:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	>=sys-auth/polkit-0.114
+	>=dev-util/sysprof-capture-3.34.1-r1:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	xdg_src_prepare
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	# installed by sysprof-capture, as mutter needs it at build time
+	rm "${ED}"/usr/share/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2020-07-04 12:00 Mart Raudsepp
  0 siblings, 0 replies; 31+ messages in thread
From: Mart Raudsepp @ 2020-07-04 12:00 UTC (permalink / raw
  To: gentoo-commits

commit:     52bd3c8929880d933c2f832f5c86461b23a500cb
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 28 11:32:30 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Jul  4 11:59:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52bd3c89

dev-util/sysprof: bump to 3.36.0

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/metadata.xml          |  3 ++
 dev-util/sysprof/sysprof-3.36.0.ebuild | 78 ++++++++++++++++++++++++++++++++++
 3 files changed, 82 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index c718e91a09e..153e4d5187a 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.34.1.tar.xz 372612 BLAKE2B 3a50a00f29866ae8bf03cc7a57b598e40a6a37ad88ac2159087e4f2a8a6a5cef09b345dc5332fb1df9036c4e159e98f19adda45588150b059af313878b9b554c SHA512 5f2d820935291a3b578222d5daa87b0a2f74cd16d14daca19065495be61cf7359f00f12f452a5c0b4e05dfeb94e2376017c2288cad92dc0c4bb9bca51b903d19
+DIST sysprof-3.36.0.tar.xz 435956 BLAKE2B 990a6c6c28339594df915ed1fb98f504bf6b080a5e3c31af0cc4bcfd208027361f02a9068291692d082787a6fd42ab414079122a63e4706aee2511040379f0c8 SHA512 41f99cc3446a6624ea74fcdecd7a29a2e5e2d4086383d59a9064c4a3df5d9b8d08f4903ff4dcc85ffa9c6d42bd84dec5c03f6010fffd4415cc8fecf4dc0b23f4

diff --git a/dev-util/sysprof/metadata.xml b/dev-util/sysprof/metadata.xml
index 7b2b574988e..dea417a2e62 100644
--- a/dev-util/sysprof/metadata.xml
+++ b/dev-util/sysprof/metadata.xml
@@ -5,6 +5,9 @@
 	<email>gnome@gentoo.org</email>
 	<name>Gentoo GNOME Desktop</name>
 </maintainer>
+<use>
+	<flag name="unwind">Use <pkg>sys-libs/libunwind</pkg> to unwind the stack</flag>
+</use>
 <longdescription lang="en">
 	Sysprof is a sampling CPU profiler for Linux that profiles the entire system,
 	not just a single application.

diff --git a/dev-util/sysprof/sysprof-3.36.0.ebuild b/dev-util/sysprof/sysprof-3.36.0.ebuild
new file mode 100644
index 00000000000..f177e8ac828
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.36.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="3"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk +unwind"
+
+RDEPEND="
+	>=dev-libs/glib-2.61.3:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	xdg_src_prepare
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-capture for the benefit of x11-wm/mutter
+	sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2020-12-04  1:32 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2020-12-04  1:32 UTC (permalink / raw
  To: gentoo-commits

commit:     f3d21f49a80bd3815ad05608a7dfb91807e09395
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 01:03:14 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 01:31:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3d21f49

dev-util/sysprof: Depend on dev-util/sysprof-common

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/{sysprof-3.36.0.ebuild => sysprof-3.36.0-r1.ebuild} | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dev-util/sysprof/sysprof-3.36.0.ebuild b/dev-util/sysprof/sysprof-3.36.0-r1.ebuild
similarity index 94%
rename from dev-util/sysprof/sysprof-3.36.0.ebuild
rename to dev-util/sysprof/sysprof-3.36.0-r1.ebuild
index 25aaf9a9f76..a759c6a7ec2 100644
--- a/dev-util/sysprof/sysprof-3.36.0.ebuild
+++ b/dev-util/sysprof/sysprof-3.36.0-r1.ebuild
@@ -22,6 +22,7 @@ RDEPEND="
 	)
 	>=sys-auth/polkit-0.114
 	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
 	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
 "
 DEPEND="${RDEPEND}"
@@ -43,7 +44,7 @@ src_prepare() {
 	# These are installed by dev-util/sysprof-capture
 	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
 	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
-	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-capture for the benefit of x11-wm/mutter
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
 	sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || die
 }
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2020-12-04  1:32 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2020-12-04  1:32 UTC (permalink / raw
  To: gentoo-commits

commit:     ff9af0a29e4fc21061daac843c107bb4524e7534
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 01:11:37 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 01:31:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff9af0a2

dev-util/sysprof: Version bump to 3.38.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.38.1.ebuild | 79 ++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index c963ebe3bea..0af7bddcac0 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.36.0.tar.xz 435956 BLAKE2B 990a6c6c28339594df915ed1fb98f504bf6b080a5e3c31af0cc4bcfd208027361f02a9068291692d082787a6fd42ab414079122a63e4706aee2511040379f0c8 SHA512 41f99cc3446a6624ea74fcdecd7a29a2e5e2d4086383d59a9064c4a3df5d9b8d08f4903ff4dcc85ffa9c6d42bd84dec5c03f6010fffd4415cc8fecf4dc0b23f4
+DIST sysprof-3.38.1.tar.xz 458572 BLAKE2B 68c219a6c80ed070314fc7718a2995c49821cc7c761b277fdd29c233da9d81b561b6c68cd0d0a42cc3e4c150e3de438322f7d418140ce19f3381f4ffac78aa1a SHA512 7ba3dd51bd4055dcdf4d46ff87e46537afe42ba009809fdee5ba0ebcdf70776d9e1ff812714096d33b09ac57d459707b92b1ca07682e2f3888b612ca74820442

diff --git a/dev-util/sysprof/sysprof-3.38.1.ebuild b/dev-util/sysprof/sysprof-3.38.1.ebuild
new file mode 100644
index 00000000000..b93358958f7
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.38.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk +unwind"
+
+RDEPEND="
+	>=dev-libs/glib-2.61.3:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	xdg_src_prepare
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
+	sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2021-02-17 14:21 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2021-02-17 14:21 UTC (permalink / raw
  To: gentoo-commits

commit:     dc746b6a8ebb2adf131ce1938074a5f3b8ee9d75
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 14:21:26 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 14:21:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc746b6a

dev-util/sysprof: Stabilize 3.38.1 x86, #768753

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/sysprof/sysprof-3.38.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-util/sysprof/sysprof-3.38.1.ebuild b/dev-util/sysprof/sysprof-3.38.1.ebuild
index b93358958f7..cd71db03566 100644
--- a/dev-util/sysprof/sysprof-3.38.1.ebuild
+++ b/dev-util/sysprof/sysprof-3.38.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ HOMEPAGE="http://sysprof.com/"
 LICENSE="GPL-3+ GPL-2+"
 API_VERSION="4"
 SLOT="0/${API_VERSION}"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
 IUSE="gtk +unwind"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2021-02-17 18:42 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2021-02-17 18:42 UTC (permalink / raw
  To: gentoo-commits

commit:     b358a7bd8e27d1d8da9c4f72b54bfb7fea6018aa
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 18:42:01 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 18:42:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b358a7bd

dev-util/sysprof: Stabilize 3.38.1 amd64, #768753

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/sysprof/sysprof-3.38.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/sysprof/sysprof-3.38.1.ebuild b/dev-util/sysprof/sysprof-3.38.1.ebuild
index cd71db03566..c26ba23434f 100644
--- a/dev-util/sysprof/sysprof-3.38.1.ebuild
+++ b/dev-util/sysprof/sysprof-3.38.1.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="http://sysprof.com/"
 LICENSE="GPL-3+ GPL-2+"
 API_VERSION="4"
 SLOT="0/${API_VERSION}"
-KEYWORDS="~amd64 x86"
+KEYWORDS="amd64 x86"
 IUSE="gtk +unwind"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2021-06-07  1:06 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2021-06-07  1:06 UTC (permalink / raw
  To: gentoo-commits

commit:     42a11d14ad7d1482d99e012567e0fe9f913f9f40
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  7 00:58:30 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Jun  7 01:06:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42a11d14

dev-util/sysprof: Version bump to 3.40.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.40.1.ebuild | 80 ++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 833ac962838..26ead59a532 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.38.1.tar.xz 458572 BLAKE2B 68c219a6c80ed070314fc7718a2995c49821cc7c761b277fdd29c233da9d81b561b6c68cd0d0a42cc3e4c150e3de438322f7d418140ce19f3381f4ffac78aa1a SHA512 7ba3dd51bd4055dcdf4d46ff87e46537afe42ba009809fdee5ba0ebcdf70776d9e1ff812714096d33b09ac57d459707b92b1ca07682e2f3888b612ca74820442
+DIST sysprof-3.40.1.tar.xz 468320 BLAKE2B fcba3b627ea32c38e621046027fced7478b6c57ba5487834d35fdde45a38bf4df66e5d696e93627217fa237978a6e7074b9e92ae89f963db7b6fca4482b59053 SHA512 ad07fd21066dfa6c7be81acdb720d97f392e1bbd05e71dd45d743b10a631b2b2c4c1177086f28e7f500271add79aa3356dd2aebdb97604357c4fef43809ead87

diff --git a/dev-util/sysprof/sysprof-3.40.1.ebuild b/dev-util/sysprof/sysprof-3.40.1.ebuild
new file mode 100644
index 00000000000..bbcfc1400ed
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.40.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk +unwind"
+
+RDEPEND="
+	>=dev-libs/glib-2.67.4:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	dev-libs/json-glib
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	xdg_src_prepare
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
+	sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2021-06-13 20:25 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2021-06-13 20:25 UTC (permalink / raw
  To: gentoo-commits

commit:     944485e3673af54f4308c740367670161c277ff7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 13 18:44:47 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 13 20:24:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=944485e3

dev-util/sysprof: revbump for newer sysprof-capture dependency

<sysprof 3.40.1 broke ABI (added various symbols) which was fixed in 3.40.1,
so upgrading to this newer version broke consumers. We force a rebuild of them
against the newer sysprof to resolve build failures.

Bug: https://bugs.gentoo.org/795507
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/sysprof/{sysprof-3.38.1.ebuild => sysprof-3.38.1-r1.ebuild} | 0
 dev-util/sysprof/{sysprof-3.40.1.ebuild => sysprof-3.40.1-r1.ebuild} | 0
 2 files changed, 0 insertions(+), 0 deletions(-)

diff --git a/dev-util/sysprof/sysprof-3.38.1.ebuild b/dev-util/sysprof/sysprof-3.38.1-r1.ebuild
similarity index 100%
rename from dev-util/sysprof/sysprof-3.38.1.ebuild
rename to dev-util/sysprof/sysprof-3.38.1-r1.ebuild

diff --git a/dev-util/sysprof/sysprof-3.40.1.ebuild b/dev-util/sysprof/sysprof-3.40.1-r1.ebuild
similarity index 100%
rename from dev-util/sysprof/sysprof-3.40.1.ebuild
rename to dev-util/sysprof/sysprof-3.40.1-r1.ebuild


^ permalink raw reply	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2021-07-17 23:14 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2021-07-17 23:14 UTC (permalink / raw
  To: gentoo-commits

commit:     fbef6183c2e0e2f2a1145757feb28cf03503864b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 17 23:13:57 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 17 23:13:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbef6183

dev-util/sysprof: Keyword 3.40.1-r1 arm64, #802000

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/sysprof/sysprof-3.40.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/sysprof/sysprof-3.40.1-r1.ebuild b/dev-util/sysprof/sysprof-3.40.1-r1.ebuild
index 8d316efc9e5..1fd30c26d75 100644
--- a/dev-util/sysprof/sysprof-3.40.1-r1.ebuild
+++ b/dev-util/sysprof/sysprof-3.40.1-r1.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="http://sysprof.com/"
 LICENSE="GPL-3+ GPL-2+"
 API_VERSION="4"
 SLOT="0/${API_VERSION}"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 ~arm64 x86"
 IUSE="gtk +unwind"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2021-12-19 16:59 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2021-12-19 16:59 UTC (permalink / raw
  To: gentoo-commits

commit:     3e14bd1ab93552bef1722a42a16c7e29244af2f3
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 19 16:50:50 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Dec 19 16:59:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e14bd1a

dev-util/sysprof: Version bump to 3.42.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.42.1.ebuild | 80 ++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index 094d0b5a4b5a..71dd3a96ab1e 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.40.1.tar.xz 468320 BLAKE2B fcba3b627ea32c38e621046027fced7478b6c57ba5487834d35fdde45a38bf4df66e5d696e93627217fa237978a6e7074b9e92ae89f963db7b6fca4482b59053 SHA512 ad07fd21066dfa6c7be81acdb720d97f392e1bbd05e71dd45d743b10a631b2b2c4c1177086f28e7f500271add79aa3356dd2aebdb97604357c4fef43809ead87
+DIST sysprof-3.42.1.tar.xz 484096 BLAKE2B bc1124651f6323d6757050ef3225df222039ac7a5c6a6e2a0e170354a0e89705ea03173302ac7fa2bc172b27485d4e4cdee0f7504a548d51e88b88a19cc8cc9d SHA512 15bf7efadfc88c1342200009e4b74ecd23a320ca272b4ca3736dd41baf9cb4e0a1fd75e0aa20ee784b98c6fee7f86a2b52e63bc4769b6ca9759f58b64cba0dcd

diff --git a/dev-util/sysprof/sysprof-3.42.1.ebuild b/dev-util/sysprof/sysprof-3.42.1.ebuild
new file mode 100644
index 000000000000..477ae9142b54
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.42.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="gtk +unwind"
+
+RDEPEND="
+	>=dev-libs/glib-2.67.4:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	dev-libs/json-glib
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	xdg_src_prepare
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
+	sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2022-03-25 18:25 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2022-03-25 18:25 UTC (permalink / raw
  To: gentoo-commits

commit:     5df5a6d607da051c8638c3537fdf0e4058a1cbcf
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 25 18:17:19 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Mar 25 18:23:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5df5a6d6

dev-util/sysprof: Version bump to 3.44.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.44.0.ebuild | 81 ++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index c56101e75324..e353bcf77ee7 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.42.1.tar.xz 484096 BLAKE2B bc1124651f6323d6757050ef3225df222039ac7a5c6a6e2a0e170354a0e89705ea03173302ac7fa2bc172b27485d4e4cdee0f7504a548d51e88b88a19cc8cc9d SHA512 15bf7efadfc88c1342200009e4b74ecd23a320ca272b4ca3736dd41baf9cb4e0a1fd75e0aa20ee784b98c6fee7f86a2b52e63bc4769b6ca9759f58b64cba0dcd
+DIST sysprof-3.44.0.tar.xz 493924 BLAKE2B c3d9558df99ba23f63fbde0df54e201afce83da8f7d64166b44fcc2c70ec9e54a4abfbd0ac64171b1538af7e9d608b0f618559aba9444a3d884cd4944c4d595f SHA512 64bfe4d39e71954f7982ef06caffc39ff60d2d6005f8392a7918f83263d7c5b11bafdf7234ed86d52063586919a4dbe742c498b6f1f9db91d481337cf568451c

diff --git a/dev-util/sysprof/sysprof-3.44.0.ebuild b/dev-util/sysprof/sysprof-3.44.0.ebuild
new file mode 100644
index 000000000000..4d11d4646eaa
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.44.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="gtk +unwind"
+
+RDEPEND="
+	>=dev-libs/glib-2.67.4:2
+	gtk? (
+		>=x11-libs/gtk+-3.22.0:3
+		>=dev-libs/libdazzle-3.30.0
+	)
+	dev-libs/json-glib
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+	xdg_environment_reset
+	# These are installed by dev-util/sysprof-capture
+	sed -i -e '/install/d' src/libsysprof-capture/meson.build || die
+	sed -i -e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' src/libsysprof-capture/meson.build || die
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
+	sed -i -e "s|if get_option('libsysprof')|if false|g" src/meson.build || die
+}
+
+src_configure() {
+	# -Dwith_sysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk enable_gtk)
+		-Dlibsysprof=true
+		-Dwith_sysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2022-09-24 20:05 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2022-09-24 20:05 UTC (permalink / raw
  To: gentoo-commits

commit:     6a3d479ffabfed6eee98f487401c86c1302a26ae
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 24 19:40:09 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Sep 24 20:05:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a3d479f

dev-util/sysprof: Version bump to 3.46.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.46.0.ebuild | 98 ++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index b2b2c1794cb2..ce0ab8a4aa6c 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.44.0.tar.xz 493924 BLAKE2B c3d9558df99ba23f63fbde0df54e201afce83da8f7d64166b44fcc2c70ec9e54a4abfbd0ac64171b1538af7e9d608b0f618559aba9444a3d884cd4944c4d595f SHA512 64bfe4d39e71954f7982ef06caffc39ff60d2d6005f8392a7918f83263d7c5b11bafdf7234ed86d52063586919a4dbe742c498b6f1f9db91d481337cf568451c
+DIST sysprof-3.46.0.tar.xz 518536 BLAKE2B 8925f0cbe34411cce6bd86e9f4a924d3ff627429812682898fffe0a08c2dab9228e5d8bde44b460404f90fb29961a30154af1e8240df24bfa20b70cc7a36448e SHA512 ac248e2a06d2f7905bebae4e685dd320e3ac85097e33b9c6b8482a4647a5bfcaadc4d9a1fe117b3a74cb855d6c72d9a1453a37d7b64762a223c0fe5da2653a87

diff --git a/dev-util/sysprof/sysprof-3.46.0.ebuild b/dev-util/sysprof/sysprof-3.46.0.ebuild
new file mode 100644
index 000000000000..679912d796cb
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.46.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="gtk test +unwind"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-libs/glib-2.73.0:2
+	gtk? (
+		>=gui-libs/gtk-4.6:4
+		gui-libs/libadwaita:1
+		x11-libs/cairo
+		x11-libs/pango
+	)
+	dev-libs/json-glib
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+	xdg_environment_reset
+
+	# These are installed by dev-util/sysprof-capture
+	sed -i \
+			-e '/install: not meson.is_subproject/d' \
+			-e '/install.*sysprof_header_subdir/d' \
+			-e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' \
+			src/libsysprof-capture/meson.build || die
+}
+
+src_configure() {
+	# -Dsysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk)
+		-Dlibsysprof=true
+		-Dinstall-static=false
+		-Dsysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+		-Dtools=true
+		$(meson_use test tests)
+		-Dexamples=false
+		-Dagent=true
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
+	rm "${ED}"/usr/share/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2022-10-30 15:42 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2022-10-30 15:42 UTC (permalink / raw
  To: gentoo-commits

commit:     a0d04d58d1b1657ba50f3ef0ac53f7dc8cbdf331
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 29 21:19:55 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Oct 30 15:41:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0d04d58

dev-util/sysprof: Set remote-id

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/metadata.xml | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

diff --git a/dev-util/sysprof/metadata.xml b/dev-util/sysprof/metadata.xml
index e10288a28d1e..9f8236177e82 100644
--- a/dev-util/sysprof/metadata.xml
+++ b/dev-util/sysprof/metadata.xml
@@ -1,20 +1,23 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<maintainer type="project">
-	<email>gnome@gentoo.org</email>
-	<name>Gentoo GNOME Desktop</name>
-</maintainer>
-<use>
-	<flag name="unwind">Use <pkg>sys-libs/libunwind</pkg> to unwind the stack</flag>
-</use>
-<longdescription lang="en">
-	Sysprof is a sampling CPU profiler for Linux that profiles the entire system,
-	not just a single application.
-	Sysprof handles shared libraries and applications do not need to be recompiled.
-	In fact they don't even have to be restarted.
-</longdescription>
-<slots>
-	<subslots>sysprof and sysprof-ui API version</subslots>
-</slots>
+  <maintainer type="project">
+    <email>gnome@gentoo.org</email>
+    <name>Gentoo GNOME Desktop</name>
+  </maintainer>
+  <use>
+    <flag name="unwind">Use <pkg>sys-libs/libunwind</pkg> to unwind the stack</flag>
+  </use>
+  <longdescription lang="en">
+    Sysprof is a sampling CPU profiler for Linux that profiles the entire
+    system, not just a single application.
+    Sysprof handles shared libraries and applications do not need to be
+    recompiled. In fact they don't even have to be restarted.
+  </longdescription>
+  <slots>
+    <subslots>sysprof and sysprof-ui API version</subslots>
+  </slots>
+  <upstream>
+    <remote-id type="gnome-gitlab">GNOME/sysprof</remote-id>
+  </upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2023-03-18  2:28 Matt Turner
  0 siblings, 0 replies; 31+ messages in thread
From: Matt Turner @ 2023-03-18  2:28 UTC (permalink / raw
  To: gentoo-commits

commit:     cc60b70cf27768772866aeadb2fdfd652e19368d
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Fri Mar 17 20:10:11 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Mar 18 02:28:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc60b70c

dev-util/sysprof: Version bump to 3.48.0

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-util/sysprof/Manifest              |  1 +
 dev-util/sysprof/sysprof-3.48.0.ebuild | 98 ++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-util/sysprof/Manifest b/dev-util/sysprof/Manifest
index afc1092787b0..c4ac53a2c38e 100644
--- a/dev-util/sysprof/Manifest
+++ b/dev-util/sysprof/Manifest
@@ -1 +1,2 @@
 DIST sysprof-3.46.0.tar.xz 518536 BLAKE2B 8925f0cbe34411cce6bd86e9f4a924d3ff627429812682898fffe0a08c2dab9228e5d8bde44b460404f90fb29961a30154af1e8240df24bfa20b70cc7a36448e SHA512 ac248e2a06d2f7905bebae4e685dd320e3ac85097e33b9c6b8482a4647a5bfcaadc4d9a1fe117b3a74cb855d6c72d9a1453a37d7b64762a223c0fe5da2653a87
+DIST sysprof-3.48.0.tar.xz 533092 BLAKE2B 5af48d9216f13ffcc8824b0ba6a4e0ff931c903991953e66c2b50534399320d3d3fccd6e8478b10dc895d19544f9c08733565d95fe9c2c70d64f2294ccce2330 SHA512 100b79fabee005b5445dab3ad78d43facf375a488aa6513e987deecd6a3036cc43bfd78db106a4b8a15b4280dcd975872784c839f560779183adb5a339b0648c

diff --git a/dev-util/sysprof/sysprof-3.48.0.ebuild b/dev-util/sysprof/sysprof-3.48.0.ebuild
new file mode 100644
index 000000000000..0c25b17a6237
--- /dev/null
+++ b/dev-util/sysprof/sysprof-3.48.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson systemd xdg
+
+DESCRIPTION="System-wide Linux Profiler"
+HOMEPAGE="http://sysprof.com/"
+
+LICENSE="GPL-3+ GPL-2+"
+API_VERSION="4"
+SLOT="0/${API_VERSION}"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="gtk test +unwind"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-libs/glib-2.73.0:2
+	gtk? (
+		>=gui-libs/gtk-4.6:4
+		gui-libs/libadwaita:1
+		x11-libs/cairo
+		x11-libs/pango
+	)
+	dev-libs/json-glib
+	>=sys-auth/polkit-0.114
+	unwind? ( sys-libs/libunwind:= )
+	>=dev-util/sysprof-common-${PV}
+	>=dev-util/sysprof-capture-${PV}:${API_VERSION}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/gdbus-codegen
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	>=sys-kernel/linux-headers-2.6.32
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+	xdg_environment_reset
+
+	# These are installed by dev-util/sysprof-capture
+	sed -i \
+			-e '/install: not meson.is_subproject/d' \
+			-e '/install.*sysprof_header_subdir/d' \
+			-e 's/pkgconfig\.generate/subdir_done()\npkgconfig\.generate/' \
+			src/libsysprof-capture/meson.build || die
+}
+
+src_configure() {
+	# -Dsysprofd=host currently unavailable from ebuild
+	local emesonargs=(
+		$(meson_use gtk)
+		-Dlibsysprof=true
+		-Dinstall-static=false
+		-Dsysprofd=bundled
+		-Dsystemdunitdir=$(systemd_get_systemunitdir)
+		# -Ddebugdir
+		-Dhelp=true
+		$(meson_use unwind libunwind)
+		-Dtools=true
+		$(meson_use test tests)
+		-Dexamples=false
+		-Dagent=true
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+
+	# We want to ship org.gnome.Sysprof3.Profiler.xml in sysprof-common for the benefit of x11-wm/mutter
+	rm "${ED}"/usr/share/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml || die
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	elog "On many systems, especially amd64, it is typical that with a modern"
+	elog "toolchain -fomit-frame-pointer for gcc is the default, because"
+	elog "debugging is still possible thanks to gcc4/gdb location list feature."
+	elog "However sysprof is not able to construct call trees if frame pointers"
+	elog "are not present. Therefore -fno-omit-frame-pointer CFLAGS is suggested"
+	elog "for the libraries and applications involved in the profiling. That"
+	elog "means a CPU register is used for the frame pointer instead of other"
+	elog "purposes, which means a very minimal performance loss when there is"
+	elog "register pressure."
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2023-05-03  6:33 Arthur Zamarin
  0 siblings, 0 replies; 31+ messages in thread
From: Arthur Zamarin @ 2023-05-03  6:33 UTC (permalink / raw
  To: gentoo-commits

commit:     1a9f2be1e7c39c4566a24bc402ea99032ba9b110
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed May  3 06:31:00 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed May  3 06:32:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a9f2be1

dev-util/sysprof: Stabilize 3.48.0 amd64, #905525

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/sysprof/sysprof-3.48.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/sysprof/sysprof-3.48.0.ebuild b/dev-util/sysprof/sysprof-3.48.0.ebuild
index 74a328167eca..d87368eacc05 100644
--- a/dev-util/sysprof/sysprof-3.48.0.ebuild
+++ b/dev-util/sysprof/sysprof-3.48.0.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="http://sysprof.com/"
 LICENSE="GPL-3+ GPL-2+"
 API_VERSION="4"
 SLOT="0/${API_VERSION}"
-KEYWORDS="~amd64 ~arm64 x86"
+KEYWORDS="amd64 ~arm64 x86"
 IUSE="gtk test +unwind"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/
@ 2023-05-03  6:33 Arthur Zamarin
  0 siblings, 0 replies; 31+ messages in thread
From: Arthur Zamarin @ 2023-05-03  6:33 UTC (permalink / raw
  To: gentoo-commits

commit:     86142a6bf76b93917beaba76fe39ea7deccb8f18
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed May  3 06:31:00 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed May  3 06:32:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86142a6b

dev-util/sysprof: Stabilize 3.48.0 x86, #905525

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/sysprof/sysprof-3.48.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/sysprof/sysprof-3.48.0.ebuild b/dev-util/sysprof/sysprof-3.48.0.ebuild
index 0c25b17a6237..74a328167eca 100644
--- a/dev-util/sysprof/sysprof-3.48.0.ebuild
+++ b/dev-util/sysprof/sysprof-3.48.0.ebuild
@@ -11,7 +11,7 @@ HOMEPAGE="http://sysprof.com/"
 LICENSE="GPL-3+ GPL-2+"
 API_VERSION="4"
 SLOT="0/${API_VERSION}"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm64 x86"
 IUSE="gtk test +unwind"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

end of thread, other threads:[~2023-05-03  6:33 UTC | newest]

Thread overview: 31+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-06-07  1:06 [gentoo-commits] repo/gentoo:master commit in: dev-util/sysprof/ Matt Turner
  -- strict thread matches above, loose matches on Subject: below --
2023-05-03  6:33 Arthur Zamarin
2023-05-03  6:33 Arthur Zamarin
2023-03-18  2:28 Matt Turner
2022-10-30 15:42 Matt Turner
2022-09-24 20:05 Matt Turner
2022-03-25 18:25 Matt Turner
2021-12-19 16:59 Matt Turner
2021-07-17 23:14 Sam James
2021-06-13 20:25 Sam James
2021-02-17 18:42 Sam James
2021-02-17 14:21 Sam James
2020-12-04  1:32 Matt Turner
2020-12-04  1:32 Matt Turner
2020-07-04 12:00 Mart Raudsepp
2020-03-02 19:23 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2019-12-23 21:26 Mart Raudsepp
2019-07-27  8:36 Mart Raudsepp
2019-05-18 19:59 Mart Raudsepp
2018-12-17 15:08 Mart Raudsepp
2018-08-02 20:58 Mart Raudsepp
2018-02-19 20:03 Mart Raudsepp
2018-02-19 20:03 Mart Raudsepp
2018-02-06 18:36 Thomas Deutschmann
2018-01-26 15:03 Mikle Kolyada
2017-06-05  0:13 Mart Raudsepp
2017-06-05  0:13 Mart Raudsepp
2017-06-05  0:13 Mart Raudsepp
2017-04-18 11:14 Mart Raudsepp
2016-11-12 12:23 Gilles Dartiguelongue

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox